<?php
/*
Plugin Name: Transpi Plugin
Plugin URI: https://themeforest.net/user/byteflows
Description: After install the transpi WordPress Theme, you must need to install this "transpi-plugin" first to get all functions of transpi WP Theme.
Author: byteflows
Author URI: http://byteflows.com/
Version: 1.0.6
Text Domain: transpi-plugin
*/
if ( !defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

/**
 * Define Core Path
 */
define( 'TRANSPI_VERSION', '1.0.5' );
define( 'TRANSPI_DIR_PATH',plugin_dir_path(__FILE__) );
define( 'TRANSPI_DIR_URL',plugin_dir_url(__FILE__) );
define( 'TRANSPI_INC_PATH', TRANSPI_DIR_PATH . '/inc' );
define( 'TRANSPI_PLUGIN_IMG_PATH', TRANSPI_DIR_URL . '/assets/img' );

/**
 * Css Framework Load
 */
if ( file_exists(TRANSPI_DIR_PATH.'/lib/codestar-framework/codestar-framework.php') ) {
    require_once  TRANSPI_DIR_PATH.'/lib/codestar-framework/codestar-framework.php';
}

/**
 *  Elementor - Remove Font Awesome
 */
add_action( 'elementor/frontend/after_register_styles',function() {
    foreach( [ 'solid', 'regular', 'brands' ] as $style ) {
      wp_deregister_style( 'elementor-icons-fa-' . $style );
    }
  }, 20 );


/**
 * Register Custom Widget
 *
 * @return void
 */
function transpi_cw_wisget(){
    register_widget( 'transpi_Recent_Posts' );
}
add_action('widgets_init', 'transpi_cw_wisget');


/**
 * Deregister Elementor Animation
 *
 * @return void
 */
function transpi_de_reg() {
    wp_deregister_style( 'e-animations' );
}
add_action( 'wp_enqueue_scripts', 'transpi_de_reg' );


/**
 * Dequeue Elemenotr Swiper Slider
 *
 * @return  [type]  [return description]
 */
function dequeue_wpml_styles(){
    wp_dequeue_style( 'swiper' );
    wp_deregister_style( 'swiper' );

    wp_dequeue_script( 'swiper' );
    wp_deregister_script( 'swiper' );
}
add_action( 'wp_enqueue_scripts', 'dequeue_wpml_styles', 20 );


/**
 * Script Remove
 *
 * @return  [type]  [return description]
 */
function remove_jquery_sticky() {
		wp_dequeue_script( 'swiper' );
		wp_deregister_script( 'swiper' );
}
add_action( 'elementor/frontend/after_register_scripts', 'remove_jquery_sticky' );

/**
 * Disable Elementor Animations CSS
 *
 * @return  [type]  [return description]
 */
function hostix_de_reg() {
    wp_deregister_style( 'e-animations' );
}
add_action( 'wp_enqueue_scripts', 'hostix_de_reg' );

/**
 * Aditional Font Familay
 *
 * @param   [type]  $additional_fonts  [$additional_fonts description]
 *
 * @return  [type]                     [return description]
 */


/**
 * Add Font Group to Elementor
 */
add_filter( 'elementor/fonts/groups', 'prefix_elementor_custom_fonts_group', 10, 1 );
function prefix_elementor_custom_fonts_group( $font_groups ) {

	$font_groups['RecoletaAlt'] = __( 'RecoletaAlt' );
	return $font_groups;
}
/**
 * Add Group Fonts to Elementor
 */
add_filter( 'elementor/fonts/additional_fonts', 'prefix_elementor_custom_fonts', 10, 1 );
function prefix_elementor_custom_fonts( $additional_fonts ) {
	// Key/value
	//Font name/font group
	$additional_fonts['RecoletaAlt'] = 'RecoletaAlt';
	return $additional_fonts;
}


if (!class_exists('Rs_MegaMenu_Register')) {
    require_once TRANSPI_DIR_PATH . '/mega-menu/class-megamenu.php';
    Rs_MegaMenu_Register::get_instance();
}


/**
 * Custom Widget
 */
include_once TRANSPI_INC_PATH . "/custom-widget/recent-post.php";

/**
 * Themeoption
 */
include_once TRANSPI_INC_PATH . "/transpi-plugin-helper.php";

/**
 * Custom Metabox
 */
include_once TRANSPI_INC_PATH . "/options/theme-metabox.php";

/**
 * Themeoption
 */
include_once TRANSPI_INC_PATH . "/options/theme-option.php";


/**
 * Helper Function
 */
include_once TRANSPI_INC_PATH . "/helper.php";

/**
 * Codestar Custom Icon Liberary
 */
include_once TRANSPI_INC_PATH . "/csf-custom-icon.php";
/**
 * Elementor Custom Icon
 */

include_once TRANSPI_INC_PATH . "/constim-icon.php";

/**
 * Custom Template CPT
 */
include_once TRANSPI_INC_PATH . "/post-type/template.php";

/**
 * Portfolio CPT
 */
include_once TRANSPI_INC_PATH . "/post-type/portfolio.php";

/**
 * Elementor Configuration
 */
include_once TRANSPI_DIR_PATH . "/elementor/elementor-init.php";


/**
 * Contact Form 7 Autop Remove
 */
add_filter('wpcf7_autop_or_not', '__return_false');
