<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package transpi
 */
if(get_post_meta(get_the_ID(), 'transpi_page_meta', true)) {
	$header_meta = get_post_meta(get_the_ID(), 'transpi_page_meta', true);
} else {
	$header_meta = array();
}

if( array_key_exists( 'page_header_disable', $header_meta )) {
	$page_header_disable = $header_meta['page_header_disable'];
} else {
	$page_header_disable = false;
}
$preloader_enable = cs_get_option('preloader_enable');

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<?php
if (function_exists('transpi_mouse_cursor')) {
    //transpi_mouse_cursor();
}

if ( $preloader_enable == true && function_exists('transpi_preloader')) {
    print transpi_preloader();
}

if (function_exists('transpi_scroll_up_btn')) {
    transpi_scroll_up_btn();
}
?>

<div id="smooth-wrapper">
    <div id="smooth-content">
			
<?php
if($page_header_disable != true){
	Transpi_Helper::transpi_header_template();
}

do_action('transpi_before_main_content');

?>
