<?php

/**
 * Preloader
 *
 * @return  [type]  [return description]
 */
function transpi_preloader() {
    $preloader_enable = cs_get_option('preloader_enable');
    $transpi_custom_preloader = cs_get_option('transpi_custom_preloader');
if ($preloader_enable == true) {
?>
<div id="transpiPreloader">
    <div class="preloader__inner">
        <img src="<?php if(!empty($transpi_custom_preloader['url'])){ echo esc_url($transpi_custom_preloader['url']);}?>" alt="">
    </div>
</div>

<?php
}
}

function transpi_scroll_up_btn(){
    $scroll_up_btn = cs_get_option('scroll_up_btn');

    if($scroll_up_btn == true):
?>

    <div class="back-top-btn">
        <i class="fal fa-angle-double-up"></i>
    </div>
<?php
 endif;
}

/**
 * Main Menu
 *
 * @return  [type]  [return description]
 */
function transpi_main_menu(){
    if (has_nav_menu('menu-1')) {
        echo str_replace(['menu-item-has-children', 'sub-menu'], ['dropdown', 'dropdown-menu clearfix'], wp_nav_menu( array(
            'echo'           => false,
            'theme_location' => 'menu-1',
            'menu_id'        =>'main-nav',
            'menu_class'        =>'nav navbar-nav clearfix',
            'container'=>false,
            'fallback_cb'    => 'Transpi_Bootstrap_Navwalker::fallback',
            'walker' => class_exists( 'Rs_Mega_Menu_Walker' ) ? new Rs_Mega_Menu_Walker : '',
        )) );
    } else {
       echo '';
    }

}


/**
 * [transpi Mobile]
 *
 * @return  [type]  [return description]
 */
function transpi_mobile_menu(){
    $socials = cs_get_option('header-socials');
    $enable_mobile_search = cs_get_option('enable_mobile_search');
?>
    <div class="mobile_menu position-relative">
        <div class="mobile_menu_button open_mobile_menu">
            <i class="fal fa-bars"></i>
        </div>
        <div class="mobile_menu_wrap">
            <div class="mobile_menu_overlay open_mobile_menu"></div>
            <div class="mobile_menu_content">
                <div class="mobile_menu_close open_mobile_menu">
                    <i class="fal fa-times"></i>
                </div>
                <div class="m-brand-logo">
                    <?php transpi_default_logo();?>
                </div>
                <?php if($enable_mobile_search == true):?>
                <div class="mobile-search-bar position-relative">
                    <form action="<?php echo esc_url( home_url( '/' ) ); ?>">
                        <input type="text" name="s" placeholder="<?php esc_attr_e( 'Search Here', 'transpi' );?>" value="<?php the_search_query();?>">
                        <button><i class="fal fa-search"></i></button>
                    </form>
                </div>
                <?php endif;?>
                <nav class="mobile-main-navigation  clearfix ul-li">
                    <?php
                        echo str_replace(['menu-item-has-children', 'sub-menu'], ['dropdown', 'dropdown-menu clearfix'], wp_nav_menu( array(
                            'echo'           => false,
                            'theme_location' => 'menu-1',
                            'menu_id'        =>'m-main-nav',
                            'menu_class'        =>'navbar-nav text-capitalize clearfix',
                            'container'=>false,
                            'fallback_cb'    => 'Transpi_Bootstrap_Navwalker::fallback',
                            'walker' => class_exists( 'Rs_Mega_Menu_Walker' ) ? new Rs_Mega_Menu_Walker : '',
                        )) );
                    ?>
                </nav>
                <?php if(!empty($socials)):?>
                <div class="bi-mobile-header-social text-center">
                    <?php foreach($socials as $item):?>
						<a href="<?php echo esc_url($item['social_link']);?>"> <i class="<?php echo esc_attr($item['social_icon']);?>"></i></a>
					<?php endforeach;?>
                </div>
                <?php endif;?>
            </div>
        </div>
        <!-- /Mobile-Menu -->
    </div>
<?php
}

/**
 * Mobile Menu
 *
 * @return  [type]  [return description]
 */
function transpi_mobiel_menu_two(){ ?>
    <div class="mobile_menu position-relative">
        <div class="mobile_menu_button open_mobile_menu">
            <i class="fal fa-bars"></i>
        </div>
        <div class="mobile_menu_wrap">
            <div class="mobile_menu_overlay open_mobile_menu"></div>
            <div class="mobile_menu_content">
                <div class="mobile_menu_close open_mobile_menu">
                    <i class="fal fa-times"></i>
                </div>
                <div class="m-brand-logo">
                    <?php transpi_default_logo();?>
                </div>
                <nav class="mobile-main-navigation  clearfix ul-li">
                    <?php
                        echo str_replace(['menu-item-has-children', 'sub-menu'], ['dropdown', 'dropdown-menu'], wp_nav_menu( array(
                            'echo'           => false,
                            'theme_location' => 'menu-1',
                            'menu_class'        =>'nav navbar-nav clearfix',
                            'container'=>false,
                            'fallback_cb'    => 'Transpi_Bootstrap_Navwalker::fallback',
                        )) );
                    ?>
                </nav>
            </div>
        </div>
        <!-- /Mobile-Menu -->
    </div>
<?php
}

function transpi_sidebar_content(){
    $offcanvas_link = cs_get_option('offcanvas_link');
    $social_title = cs_get_option('social_title');
    $offc_social_icons = cs_get_option('offc_social_icons');
    $aipower_copyright = cs_get_option('aipower_copyright');
    $offc_more_links = cs_get_option('offc_more_links');
    $more_title = cs_get_option('more_title');
?>
<!-- Sidebar sidebar Item -->
<div class="xs-sidebar-group info-group">
    <div class="xs-overlay xs-bg-black">
        <div class="row loader-area">
            <div class="col-3 preloader-wrap">
                <div class="loader-bg"></div>
            </div>
            <div class="col-3 preloader-wrap">
                <div class="loader-bg"></div>
            </div>
            <div class="col-3 preloader-wrap">
                <div class="loader-bg"></div>
            </div>
            <div class="col-3 preloader-wrap">
                <div class="loader-bg"></div>
            </div>
        </div>
    </div>
    <div class="xs-sidebar-widget">
        <div class="sidebar-widget-container">
            <div class="widget-heading">
                <a href="#" class="close-side-widget text-uppercase">
                    <i class="fal fa-times"></i> <?php esc_html_e( 'Close', 'transpi' );?>
                </a>
            </div>
            <div class="sidebar-textwidget">

                <!-- Sidebar Info Content -->
                <div class="sidebar-info-contents headline pera-content">
                    <div class="content-inner">
                        <div class="sidebar-logo">
                            <?php transpi_default_logo();?>
                        </div>
                        <?php if(!empty($offcanvas_link)):?>
                            <div class="sidebar-menu ul-li-block">
                                <ul>
                                    <?php foreach($offcanvas_link as $link):?>
                                        <li><a href="<?php echo esc_url($link['link']['url']);?>#"><i class="<?php echo esc_attr($link['icon']);?>"></i> <?php echo esc_html($link['link']['text'])?> </a></li>
                                    <?php endforeach;?>
                                </ul>
                            </div>
                        <?php endif;?>
                        <div class="sidebar-more-menu text-uppercase d-flex ul-li">
                            <?php if(!empty($more_title)):?>
                                <span><?php echo wp_kses($more_title, true);?></span>
                            <?php endif;?>

                            <?php if(!empty($offc_more_links)):?>
                            <ul>
                                <?php foreach($offc_more_links as $more):?>
                                <li><a href="<?php echo esc_url($more['link']['url']);?>"><?php echo esc_html($more['link']['text'])?></a></li>
                                <?php endforeach;?>
                            </ul>
                            <?php endif;?>
                        </div>
                        <div class="sidebar-social ul-li-block">
                            <?php if(!empty($social_title)):?>
                                <span><?php echo wp_kses($social_title, true);?></span>
                            <?php endif;?>
                            <?php if(!empty($offc_social_icons)):?>
                            <ul>
                                <?php foreach($offc_social_icons as $social):?>
                                    <li><a href="<?php echo esc_url($social['link']);?>"><i class="<?php echo esc_attr($social['social_icon']);?>"></i> <?php echo esc_html($social['social_title']);?></a></li>
                                <?php endforeach;?>
                            </ul>
                            <?php endif;?>
                        </div>
                        <div class="sidebar-copyright text-center">
                            <?php
                                if(!empty($transpi_copyright)){
                                    echo wp_kses($transpi_copyright, true);
                                }else{
                                    esc_html_e( '© Copyright 2023. All Rights Reserved. ', 'transpi' );
                                }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- sidebar cart start -->
<?php
}

/**
 * Search Popup
 */
function transpi_search_popup(){?>
    <div class="search-popup">
        <div class="color-layer"></div>
        <button class="close-search"><span class="far fa-times fa-fw"></span></button>
        <form method="post" action="<?php echo esc_url( home_url( '/' ) ); ?>">
            <div class="form-group">
                <input type="search" name="s" value="<?php the_search_query();?>" placeholder="<?php esc_attr_e( 'Search Here', 'transpi' );?>" required="">
                <button type="submit"><i class="far fa-search fa-fw"></i></button>
            </div>
        </form>
    </div>
    <?php
}

/**
 * transpi Post Loop
 *
 * @return  [type]  [return description]
 */
function transpi_post_loop(){
		if ( have_posts() ) :

			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', get_post_type() );

			endwhile;?>
            <div class="transpi-pagination">
                <?php
                transpi_pagination( '
                <i class="fal fa-chevron-double-left"></i>',
                '<i class="fal fa-chevron-double-right"></i>',
                '',
                ['class' => ''] );
                ?>
            </div>


		<?php else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
}

/**
 * Single Post Loop
 *
 * @return  [type]  [return description]
 */
function transpi_single_post_loop(){
		while ( have_posts() ) :
			the_post();

			get_template_part( 'template-parts/content', 'single' );
		endwhile; // End of the loop.
}

/**
 * Archive Loop
 *
 * @return  [type]  [return description]
 */
function transpi_post_archive_loop(){
    if ( have_posts() ) :
        /* Start the Loop */
        while ( have_posts() ) :
            the_post();

            /*
             * Include the Post-Type-specific template for the content.
             * If you want to override this in a child theme, then include a file
             * called content-___.php (where ___ is the Post Type name) and that will be used instead.
             */
            get_template_part( 'template-parts/content', get_post_type() );

        endwhile;?>

            <div class="transpi-pagination">
                <?php
                transpi_pagination( '
                <i class="fal fa-chevron-double-left"></i>',
                '<i class="fal fa-chevron-double-right"></i>',
                '',
                ['class' => ''] );
                ?>
            </div>

    <?php else :

        get_template_part( 'template-parts/content', 'none' );

    endif;
}

/**
 * Search Loop
 *
 * @return  [type]  [return description]
 */
function transpi_search_loop(){
    if ( have_posts() ) :

        /* Start the Loop */
        while ( have_posts() ) :
            the_post();

            /**
             * Run the loop for the search to output the results.
             * If you want to overload this in a child theme then include a file
             * called content-search.php and that will be used instead.
             */
            get_template_part( 'template-parts/content', 'search' );

        endwhile;?>

<div class="transpi-pagination">
                <?php
                transpi_pagination( '
                <i class="fal fa-chevron-double-left"></i>',
                '<i class="fal fa-chevron-double-right"></i>',
                '',
                ['class' => ''] );
                ?>
            </div>

   <?php else :

        get_template_part( 'template-parts/content', 'none' );

    endif;
}

/**
 * Page Loop
 *
 * @return  [type]  [return description]
 */
function transpi_page_loop(){
    while ( have_posts() ) :
        the_post();

        get_template_part( 'template-parts/content', 'page' );

        // If comments are open or we have at least one comment, load up the comment template.
        if ( comments_open() || get_comments_number() ) :
            comments_template();
        endif;

    endwhile; // End of the loop.
}

function transpi_default_header_outer(){
    $d_header_cart = cs_get_option('d_header_cart');
    $cart_icon = cs_get_option('cart_icon');
    $d_search_cart = cs_get_option('d_search_cart');
    $search_icon = cs_get_option('search_icon');
    $menu_icon = cs_get_option('menu_icon');
    $d_hamburger = cs_get_option('d_hamburger');
?>
    <div class="outer-box d-flex align-items-center">
        <?php if($d_header_cart == true && $cart_icon['url']):?>
        <!-- Nav Btn -->
        <div class="nav-btn navSidebar-button"><img src="<?php echo esc_url($cart_icon['url']);?>" alt="<?php esc_attr_e( 'Cart', 'transpi' )?>" /></div>
        <?php endif;?>

        <?php if($d_search_cart == true && $search_icon['url']):?>
        <!-- Search Box -->
        <div class="search-box-outer">
            <div class="search-box-btn"><img src="<?php echo esc_url($search_icon['url']);?>" alt="<?php esc_attr_e( 'Search', 'transpi' )?>" /></div>
        </div>
        <?php endif;?>

        <!-- Hamburger -->
        <?php if($d_hamburger == true):?>
        <span class="hamburger">
            <span class="top-bun"></span>
            <span class="meat"></span>
            <span class="bottom-bun"></span>
        </span>
        <?php endif;?>
        <!-- Mobile Navigation Toggler -->
        <div class="mobile-nav-toggler"><span class="icon"><img src="<?php if(!empty($menu_icon['url'])){ echo esc_url($menu_icon['url']);}{echo esc_url(get_template_directory_uri() . '/assets/images/menu.png');}?>" alt="<?php esc_attr_e( 'Menu', 'transpi' )?>" /></span></div>

    </div>
<?php
}

function transpi_mini_cart(){
    if ( class_exists( 'WooCommerce' ) ) {
?>
    <?php
       do_action('woocommerce_before_mini_cart');
       if (WC()->cart && !WC()->cart->is_empty()) :
      ?>
    <div class="cart_sidebar">
        <div class="cart_sidebar_top">
            <h2 class="heading_title"><?php esc_html_e( 'Cart', 'transpi' );?></h2>
        </div>

        <div class="cart_items_list">
        <?php  foreach (WC()->cart->get_cart() as $cart_item_key => $cart_item) :
        $_product = apply_filters('woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key);
        $product_id = apply_filters('woocommerce_cart_item_product_id', $cart_item['product_id'], $cart_item, $cart_item_key);
        $allowed_tags = wp_kses_allowed_html('post');
        ?>
            <div class="cart_item">
                <div class="item_image">
                    <a href="<?php echo esc_url(get_permalink($product_id)); ?>">
                        <?php echo wp_kses($_product->get_image(), $allowed_tags) ?>
                    </a>
                </div>
                <div class="item_content">
                    <h4 class="item_title">
                        <a href="<?php echo esc_url(get_permalink($product_id)); ?>">
                            <?php echo wp_kses($_product->get_name(), $allowed_tags); ?>
                        </a>
                    </h4>
                    <span class="item_price"><?php echo wp_kses($_product->get_price_html(), $allowed_tags); ?></span>
                    <a class="remove-item remove_btn" href="<?php echo esc_url(wc_get_cart_remove_url($cart_item_key)); ?>" aria-label="Remove this item" data-product_id="<?php echo esc_attr($product_id); ?>" data-product_sku="<?php echo esc_attr($_product->get_sku()); ?>">
                        <i class="fa fa-times"></i>
                    </a>
                </div>
            </div>
            <?php endforeach; ?>
        </div>

        <div class="cart_sidebar_bottom">
            <div class="total_price">
                <span><?php esc_html_e( 'Sub Total:', 'transpi' );?></span>
                <span><?php echo WC()->cart->get_cart_subtotal(); ?></span>
            </div>
            <div class="cart_sidebar_button">
                <a class="thm-btn thm-btn__three" href="<?php echo wc_get_cart_url(); ?>"><?php esc_html_e( 'View Cart', 'transpi' );?></a>
                <a class="thm-btn thm-btn__three" href="<?php echo wc_get_checkout_url();?>"><?php esc_html_e( 'Checkout', 'transpi' );?></a>
            </div>
        </div>
    </div>
    <?php endif;?>
<?php
    }
}

function transpi_home_3_search(){ ?>
    <div class="header-search-form-wrapper">
        <div class="tx-search-close tx-close"></div>
        <div class="header-search-container">
            <form role="search" class="search-form" action="<?php echo esc_url(home_url( '/' ));?>">
                <input type="search"  class="search-field" placeholder="<?php esc_attr_e( 'SEARCH HERE', 'transpi' );?>" value="<?php echo get_search_query();?>" name="s">
                <button type="submit" class="search-submit"><i class="flaticon-magnifying-glass"></i></button>
            </form>
        </div>
    </div>
<?php
}

function transpi_home_4_search(){ ?>
    <div class="search-body">
        <div class="search-form">
            <form action="<?php echo esc_url(home_url( '/' ));?>" class="search-form-area">
                <input class="search-input" type="search" placeholder="<?php esc_attr_e( 'Search Here', 'transpi' );?>" value="<?php echo get_search_query();?>">
                <button type="submit" class="search-btn1">
                    <i class="fas fa-search"></i>
                </button>
            </form>
            <div class="outer-close text-center search-btn">
                <i class="far fa-times"></i>
            </div>
        </div>
    </div>
<?php
}
