<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package transpi
 */

get_header();
$transpiPostClass = '';
if(is_active_sidebar('sidebar-1')){
	$transpiPostClass = 'col-lg-8';
}else{
	$transpiPostClass = 'col-lg-10 offset-lg-1';
}
?>

<section class="transpi__blog-wrapper-single">
	<div class="single__post-top" style="background-image: url( <?php echo esc_url( the_post_thumbnail_url( 'full' ) ); ?>">
		<div class="container">
			<div class="single__post-content">
				<div class="blog-meta">
					<span><i class="fal fa-tag"></i>  <?php echo get_the_author(); ?></span>
					<span><i class="fal fa-calendar-alt"></i>  <?php echo get_the_date(); ?></span>
					<span><i class="fas fa-comments"></i> <?php esc_html_e( 'Comments', 'transpi' )?> (<?php echo esc_attr(get_comments_number());?>)</span>
				</div>
				<h2><?php the_title();?></h2>
			</div>
		</div>
	</div>
	<div class="single__post-main-wrapper">
		<div class="container">
			<div class="row">
				<div class="<?php echo esc_attr($transpiPostClass);?>">
					<div class="blog__post-wrap">
						<?php transpi_single_post_loop();?>
					</div>
				</div>
				<!-- Sidebar Side -->
				<?php get_sidebar();?>
			</div>
		</div>
	</div>
</section>

<?php
get_footer();
