<?php

/**
 * [Transpi_Admin description]
 */
if(!class_exists( 'Transpi_Admin' )){
    class Transpi_Admin{

        private static $instance = null;

        public static function init() {
            if( is_null( self::$instance ) ) {
              self::$instance = new self();
            }
            return self::$instance;
          }
        public function __construct(){
            add_action( 'init', [$this, 'transpi_tgm_dashboard'], 1);
            add_action( 'admin_menu', [$this, 'transpi_Admin_dashboard'], 1);
            add_action( 'admin_menu', [$this, 'transpi_template_dashboard'], 20);
            add_action( 'admin_menu', [$this, 'transpi_megamenu_dashboard'], 21);
            add_action( 'ocdi/plugin_page_setup', [$this, 'transpi_import_dsb'], 20);
            add_action( 'admin_enqueue_scripts', array( $this, 'Transpi_Admin_enqueue_scripts' ) );
        }
    
    
        public function transpi_Admin_dashboard(){
            add_menu_page(
                esc_html__('Transpi', 'transpi'), 
                esc_html__('Transpi', 'transpi'), 
                'manage_options', 
                'transpi', 
                [$this, 'display_transpi_Admin_dashboard'], 
                get_template_directory_uri() . '/inc/admin/assets/img/dashboard.png', 
                2
            );

            
        }

        /**
         * Header & Footer Elementor Template
         *
         * @return  [type]  [return description]
         */
        public function transpi_template_dashboard(){
            add_submenu_page(
                'transpi',
                esc_html__( 'Templates', 'transpi' ),
                esc_html__( 'Templates', 'transpi' ),
                'manage_options',
                'edit.php?post_type=transpi_template',
                false
            );
        }

        /**
         * Megamenu Elementor Template
         *
         * @return  [type]  [return description]
         */
        public function transpi_megamenu_dashboard(){
            add_submenu_page(
                'transpi',
                esc_html__( 'Mega Menu', 'transpi' ),
                esc_html__( 'Mega Menu', 'transpi' ),
                'manage_options',
                'edit.php?post_type=th-mega-menu',
                false
            );
        }

        /**
         * Admin Core Page
         */

        public function display_transpi_Admin_dashboard(){
            require_once TRANSPI_INC_DRI . 'admin/admin-page.php';
        }

        /**
         * TGM Activation
         *
         * @return  [type]  [return description]
         */
        public function transpi_tgm_dashboard(){
            require_once TRANSPI_INC_DRI . 'admin/class-tgm-plugin-activation.php';
            require_once TRANSPI_INC_DRI . 'admin/plugin-activation.php';
        }

        /**
         * OCDI Functions
         *
         * @param   [type]  $default  [$default description]
         *
         * @return  [type]            [return description]
         */
        public function transpi_import_dsb($default){
            $default['parent_slug'] = 'transpi';
            $default['page_title']  = esc_html__( 'One Click Demo Import' , 'transpi' );
            $default['menu_title']  = esc_html__( 'Import Demo Data' , 'transpi' );
            $default['capability']  = 'import';
            $default['menu_slug']   = 'one-click-demo-import';
            
            return $default;
        }

        /**
         * Admin Style
         *
         * @return  [type]  [return description]
         */
        public function Transpi_Admin_enqueue_scripts() {
            wp_enqueue_style( 'transpi-admin', get_theme_file_uri( 'inc/admin/assets/css/admin.css' ), array(), null, 'all' );
        }
    }
    Transpi_Admin::init();
}
